Summary:	OpenGL frontend to freetype2
Summary(pl.UTF-8):	Nakładka OpenGL na freetype2 - łatwy dostęp do fontów z poziomu OpenGL
Name:		ftgl
Version:	2.1.3
Release:	0.rc5.2
Epoch:		0
License:	MIT
Group:		Libraries
# original URL (dead ATM): http://opengl.geek.nz/ftgl/%{name}-%{version}.tar.gz
Source0:	http://downloads.sourceforge.net/ftgl/%{name}-%{version}-rc5.tar.gz
# Source0-md5:	fcf4d0567b7de9875d4e99a9f7423633
URL:		http://homepages.paradise.net.nz/henryj/code/#FTGL
BuildRequires:	OpenGL-GLU-devel >= 1.2
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1.6
BuildRequires:	doxygen
BuildRequires:	freetype-devel >= 2.0.9
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	texlive-pdftex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FTGL is a free, open source library to enable developers to use
arbitrary fonts in their OpenGL (http://www.opengl.org/) applications.
Unlike other OpenGL font libraries FTGL uses standard font file
formats so doesn't need a preprocessing step to convert the high
quality font data into a lesser quality, proprietary format. FTGL uses
the Freetype (http://www.freetype.org/) font library to open and
'decode' the fonts. It then takes that output and stores it in a
format most efficient for OpenGL rendering.

%description -l pl.UTF-8
FTPGL to wolnodostępna biblioteka z otwartymi źródłami umożliwiająca
programistom używanie dowolnych fontów w aplikacjach OpenGL
(http://www.opengl.org/). W przeciwieństwie do innych bibliotek OpenGL
FTGL używa standardowych formatów plików z fontami, dzięki czemu nie
jest wymagany żaden preprocessing, aby przetworzyć dane fontu wysokiej
jakości na własnościowy format niższej jakości. FTGL do wczytywania i
dekodowania fontów używa biblioteki obsługi fontów Freetype
(http://www.freetype.org/), następnie przejmuje wyjście i przechowuje
je w formacie najbardziej wydajnym przy renderingu OpenGL.

%package devel
Summary:	OpenGL frontend to freetype2 - development files
Summary(pl.UTF-8):	Nakładka OpenGL na freetype2 - pliki dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel >= 1.2
Requires:	freetype-devel >= 2.0.9
Requires:	libstdc++-devel

%description devel
OpenGL frontend to freetype2 - development files.

%description devel -l pl.UTF-8
Nakładka OpenGL na freetype2 - pliki dla programistów.

%package static
Summary:	Static FTGL library
Summary(pl.UTF-8):	Statyczna biblioteka FTGL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FTGL library.

%description static -l pl.UTF-8
Statyczna biblioteka FTGL.

%prep
%setup -q -n %{name}-%{version}~rc5

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	ac_cv_path_LATEX=no \
	--enable-shared
%{__make} \
	ECHO=/bin/echo

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	ECHO=/bin/echo

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO
%attr(755,root,root) %{_libdir}/libftgl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libftgl.so.2

%files devel
%defattr(644,root,root,755)
%doc docs/html
%attr(755,root,root) %{_libdir}/libftgl.so
%{_libdir}/libftgl.la
%{_includedir}/FTGL
%{_pkgconfigdir}/ftgl.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libftgl.a
%changelog
* Thu Mar 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ftgl.git;a=log;h=master

* Thu Mar 12 2015 Jan Rękorajski <baggins@pld-linux.org> 845ba6f
- rel 2

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> f4ce5d8
- BR: pkgconfig, texlive-pdftex

* Sat Oct 16 2010 Jakub Bogusz <qboosh@pld-linux.org> 102c428
- don't build pdf docs (not packaged anyway, HTML is)

* Fri Oct 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 1bfe035
- fixed License (MIT not LGPL)
- removed X11/ from Groups (not X-specific, just GL)

* Wed Oct 07 2009 lisu <lisu@pld-linux.org> fb4bc3b
- no pdf file in docs
- install ghost soname symlink

* Tue Sep 22 2009 Adam Gołębiowski <adamg@pld-linux.org> c6cd4fc
- no longer needed

* Tue Sep 22 2009 Adam Gołębiowski <adamg@pld-linux.org> 3816339
- updated to 2.1.3-rc5 (it's rc, but last stable release was 5 years ago and
  this is only -rc since)
- Makefiles and -gcc4 patches no longer needed
- BR: autoconf, libtool
- auto* rebuild
- include pdf in devel docs

* Fri Sep 14 2007 arvenil <arvenil@pld-linux.org> dcf426e
- release 3 (needs rebuild with new file)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d43b2aa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fe04ce8
- converted to UTF-8

* Wed Apr 12 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 689689e
- fix build on gcc4

* Wed Apr 12 2006 Marcin Banasiak <marcin.banasiak@gmail.com> d374c80
- added gcc4 patch
- BR/R OpenGL-GLU-devel
- rel 2

* Sat Feb 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 215e8a1
- build shared lib, fixed files ("not DOS" made duplicates!)
- allow stripping
- BR+R libstdc++-devel

* Sat Feb 19 2005 Greg Jaskiewicz <gryzman@gmail.com> 7486e0a
- it's not the DOS ;)

* Sat Feb 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 92d1d29
- pl

* Sat Feb 19 2005 Greg Jaskiewicz <gryzman@gmail.com> a271216
- glut is only needed for examples, we don't want examples (for now), so no glut required

* Sat Feb 19 2005 ankry <ankry@pld-linux.org> 388ee0e
- sorted R/BR, pl

* Sat Feb 19 2005 Greg Jaskiewicz <gryzman@gmail.com> ece7f33
- to English

* Sat Feb 19 2005 ankry <ankry@pld-linux.org> df5523f
- more fixes

* Sat Feb 19 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a41cd3
- up

